Commit 6a9519d8 authored by Natanael Copa's avatar Natanael Copa

main/lua-lzlib: upgrade to 0.4.3 and add lua 5.3

parent 646b05bb
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_luaversions="5.1 5.2"
_luaversions="5.1 5.2 5.3"
pkgname=lua-lzlib
_name=lzlib
pkgver=0.4.1
pkgver=0.4.3
pkgrel=0
pkgdesc="Lua bindings to the ZLib compression library"
url="https://github.com/LuaDist/lzlib"
......@@ -14,7 +14,6 @@ depends=""
makedepends="zlib-dev"
subpackages=
for _i in $_luaversions; do
depends="$depends lua$_i-lzlib"
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-lzlib:_zlib_${_i/./_}"
done
......@@ -50,6 +49,7 @@ package() {
_split_zlib() {
local _ver=$1
pkgdesc="$pkgdesc for Lua $_ver"
install_if="lua$_ver $pkgname=$pkgver-r$pkgrel"
depends=""
cd "$srcdir"/build-$_ver
......@@ -61,6 +61,6 @@ for _i in $_luaversions; do
eval "_zlib_${_i/./_}() { _split_zlib $_i; }"
done
md5sums="347878905c0d9e893c7bd81b82668c97 lua-lzlib-0.4.1.tar.gz"
sha256sums="c25e8e91de3a222ff1e562a73783d600d3ce3e4517826df532e7a2328332b8b4 lua-lzlib-0.4.1.tar.gz"
sha512sums="44b88d3be6c184bf6c25e13ea26036aa5739ac6d10b19fe60475f04fbb40f7d7a266a8d22334a7fb696f9224f03c8e85ce9966c437dd91a23fa7b0c92edc102c lua-lzlib-0.4.1.tar.gz"
md5sums="96fe467c2c9cd1b29faf2a0f0a029f00 lua-lzlib-0.4.3.tar.gz"
sha256sums="cbb0cac5825e940b4ea2f31a336d2aaf6db39847d456920afd8e443804420dbb lua-lzlib-0.4.3.tar.gz"
sha512sums="7f90533091ed4917019a26c1a944101dffbaaeac8c6608d9a9e078e624f8598f46e8fee939680dcea95317d752ca6bb85b21fb611f003ddbae362fa36e05e9c3 lua-lzlib-0.4.3.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment